## python-cads-api-client 1.3.2

=== Makefile ===
PROJECT := cads_api_client
CONDA := conda
CONDAFLAGS :=
COV_REPORT := html

default: qa unit-tests type-check

qa:
	pre-commit run --all-files

unit-tests:
	python -m pytest -vv --cov=. --cov-report=$(COV_REPORT)

type-check:
	python -m mypy .

conda-env-update:
	$(CONDA) install -y -c conda-forge conda-merge
	$(CONDA) run conda-merge environment.yml ci/environment-ci.yml > ci/combined-environment-ci.yml
	$(CONDA) env update $(CONDAFLAGS) -f ci/combined-environment-ci.yml

docker-build:
	docker build -t $(PROJECT) .

docker-run:
	docker run --rm -ti -v $(PWD):/srv $(PROJECT)

template-update:
	pre-commit run --all-files cruft -c .pre-commit-config-cruft.yaml

docs-build:
	cd docs && rm -fr _api && make clean && make html

# DO NOT EDIT ABOVE THIS LINE, ADD COMMANDS BELOW

integration-tests:
	python -m pytest -vv --cov=. --cov-report=$(COV_REPORT) tests/integration*.py

doc-tests:
	python -m pytest -vv --doctest-glob='*.md' README.md

all-tests: default integration-tests doc-tests

=== debian/changelog ===
python-cads-api-client (1.3.2-1) unstable; urgency=medium

  * New upstream version.

 -- Gard Spreemann <gspr@nonempty.org>  Sun, 15 Sep 2024 21:51:10 +0200

python-cads-api-client (1.3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1078809)

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 09 Sep 2024 20:50:31 +0200

=== debian/control ===
Source: python-cads-api-client
Maintainer: Gard Spreemann <gspr@nonempty.org>
Section: python
Priority: optional
Standards-Version: 4.7.0.1
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3-all,
               python3-attr,
               python3-multiurl,
               python3-requests,
               python3-setuptools (>= 64),
               python3-setuptools-scm (>= 8),
               python3-typing-extensions
Rules-Requires-Root: no
Homepage: https://github.com/ecmwf-projects/cads-api-client/
Vcs-Browser: https://salsa.debian.org/gspr/python-cads-api-client
Vcs-Git: https://salsa.debian.org/gspr/python-cads-api-client.git -b debian/sid

Package: python3-cads-api-client
Section: python
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Python client for the ECMWF CADS API
 A Python package to interface with the ECMWF CADS API.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = cads-api-client
export PYBUILD_SYSTEM = pyproject

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*\.tar\.gz@)%@PACKAGE@-$1%" \
  https://github.com/ecmwf-projects/cads-api-client//tags \
  (?:.*?/)?v?@ANY_VERSION@\.tar\.gz
